aboutsummaryrefslogtreecommitdiffstats
path: root/bootscripts
diff options
context:
space:
mode:
Diffstat (limited to 'bootscripts')
-rw-r--r--bootscripts/lfs/init.d/functions9
-rw-r--r--bootscripts/lfs/init.d/sysklogd2
2 files changed, 10 insertions, 1 deletions
diff --git a/bootscripts/lfs/init.d/functions b/bootscripts/lfs/init.d/functions
index c9dbcef89..1487dfa39 100644
--- a/bootscripts/lfs/init.d/functions
+++ b/bootscripts/lfs/init.d/functions
@@ -123,6 +123,7 @@ boot_mesg()
${ECHO} ${ECHOPARM} -e "${2}${1}"
# Log the message
+ [ -d /run/var ] || return
${ECHO} ${ECHOPARM} -e "${2}${1}" >> /run/var/bootlog
}
@@ -138,6 +139,7 @@ echo_ok()
${ECHO} -e "${NORMAL}"
boot_mesg_flush
+ [ -d /run/var ] || return
${ECHO} -e "[ OK ]" >> /run/var/bootlog
}
@@ -147,6 +149,7 @@ echo_failure()
${ECHO} -e "${NORMAL}"
boot_mesg_flush
+ [ -d /run/var ] || return
${ECHO} -e "[ FAIL]" >> /run/var/bootlog
}
@@ -156,6 +159,7 @@ echo_warning()
${ECHO} -e "${NORMAL}"
boot_mesg_flush
+ [ -d /run/var ] || return
${ECHO} -e "[ WARN ]" >> /run/var/bootlog
}
@@ -165,6 +169,7 @@ echo_skipped()
${ECHO} -e "${NORMAL}"
boot_mesg_flush
+ [ -d /run/var ] || return
${ECHO} -e " [ SKIP ]" >> /run/var/bootlog
}
@@ -714,6 +719,7 @@ log_success_msg()
${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
${ECHO} -e "${SET_COL}""${BRACKET}""[""${SUCCESS}"" OK ""${BRACKET}""]""${NORMAL}"
+ [ -d /run/var ] || return 0
${ECHO} -n -e "${@} [ OK ]" >> /run/var/bootlog
return 0
}
@@ -736,6 +742,7 @@ log_failure_msg() {
${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
${ECHO} -e "${SET_COL}""${BRACKET}""[""${FAILURE}"" FAIL ""${BRACKET}""]""${NORMAL}"
+ [ -d /run/var ] || return 0
${ECHO} -e "${@} [ FAIL ]" >> /run/var/bootlog
return 0
}
@@ -758,6 +765,7 @@ log_warning_msg() {
${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
${ECHO} -e "${SET_COL}""${BRACKET}""[""${WARNING}"" WARN ""${BRACKET}""]""${NORMAL}"
+ [ -d /run/var ] || return 0
${ECHO} -e "${@} [ WARN ]" >> /run/var/bootlog
return 0
}
@@ -780,6 +788,7 @@ log_skipped_msg() {
${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
${ECHO} -e "${SET_COL}""${BRACKET}""[""${WARNING}"" SKIP ""${BRACKET}""]""${NORMAL}"
+ [ -d /run/var ] || return 0
${ECHO} -e "${@} [ SKIP ]" >> /run/var/bootlog
return 0
}
diff --git a/bootscripts/lfs/init.d/sysklogd b/bootscripts/lfs/init.d/sysklogd
index fdb9380cb..7e079abf5 100644
--- a/bootscripts/lfs/init.d/sysklogd
+++ b/bootscripts/lfs/init.d/sysklogd
@@ -30,7 +30,7 @@
case "${1}" in
start)
boot_mesg "Starting system log daemon..."
- PARMS=${SYSKLOGD_PARMS=-'-m 0'}
+ PARMS=${SYSKLOGD_PARMS-'-m 0'}
loadproc syslogd $PARMS
boot_mesg "Starting kernel log daemon..."